import Vue from 'vue'
import App from './App'
import http from './utils/http.js'
import utils from './utils/utils.js'
import noNone from './components/no-none.vue'
import loading from './components/load.vue'
import httpUpload from './utils/http-upload.js'
import store from './store/index.js'
import model from './components/model.vue'
import util from '@/utils/util.js'
import clickThrottle from '@/utils/clickThrottle.js'
Vue.prototype.$util = util
import api from '@/utils/api.js'
Vue.prototype.$api = api
import share from '@/utils/share.js'
Vue.mixin(share)
Vue.component('model',model)
Vue.component('no-none',noNone)
Vue.component('loading',loading)
Vue.prototype.$http = http;
Vue.prototype.$utils = utils;
Vue.prototype.Upload = httpUpload;
Vue.prototype.clickThrottle = clickThrottle;
Vue.config.productionTip = false
import pageBtmBar from './components/page-btm-bar/page-btm-bar.vue'
Vue.component('page-btm-bar',pageBtmBar)
Vue.prototype.$store = store
App.mpType = 'app'
Vue.prototype.bus = new Vue()  //全局的事件总线对象
const app = new Vue({
    ...App
})
app.$mount()
